Bug 226421 - Merge Review: slib
Merge Review: slib
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:59 EST by Nobody's working on this, feel free to take it
Modified: 2014-03-16 23:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-22 11:28:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
notting: fedora‑review+
notting: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:59:42 EST
Fedora Merge Review: slib

http://cvs.fedora.redhat.com/viewcvs/devel/slib/
Initial Owner: mlichvar@redhat.com
Comment 1 Bill Nottingham 2007-06-19 13:39:30 EDT
MUST items:
 - Package meets naming and packaging guidelines - OK
 - Spec file matches base package name. - OK
 - Spec has consistant macro usage. - OK
 - Meets Packaging Guidelines. - OK
 - License - ***

collect.scm and collectx.scm have:

; COPYRIGHT (c) Kenneth Dickey 1992
;
;               This software may be used for any purpose whatever
;               without warranty of any kind.

... which says nothing about distribution or modification.


genwrite.scm has:
;; Copyright (c) 1991, Marc Feeley
;; Author: Marc Feeley (feeley@iro.umontreal.ca)
;; Distribution restrictions: none

... which says nothing about modification.

mularg.scm has no license.

r4rsyn.scm, syn*.scm, and wtt* have these lovely clauses:

;;; 2. Users of this software agree to make their best efforts (a) to
;;; return to the MIT Scheme project any improvements or extensions
;;; that they make, so that these may be included in future releases;
;;; and (b) to inform MIT of noteworthy uses of this software.


;;; 3. All materials developed as a consequence of the use of this
;;; software shall duly acknowledge such use, in accordance with the
;;; usual standards of acknowledging credit in academic research.

I think we can unilaterally decide our usage of this software is *not* noteworthy.

ratize.scm has no license.

resenecolours.txt has:

"5. These RGB colour formulations may not be used to the detriment of"
"Resene Paints Ltd."

scaexpp.scm, scaglob.scm, scainit.scm, scaoutp.scm, and structure.scm do not
explicitly allow for modification.

Aside from that, it's fine. :/

 - License field in spec matches - OK, I suppose, in that it references...
 - License file included in package - ... the file in %doc
 - Spec in American English - OK
 - Spec is legible. - OK
 - Sources match upstream md5sum: - OK

b0df4089264fd248c9c4f6d2e074b9f6  slib3a4.zip

 - Package needs ExcludeArch - N/A
 - BuildRequires correct - OK
 - Spec handles locales/find_lang - N/A
 - Package is relocatable and has a reason to be.- N/A
 - Package has %defattr and permissions on files is good. - N/A
 - Package has a correct %clean section. - OK
 - Package has correct buildroot - ***

Something like:
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

could be better.

 - Package is code or permissible content. - OK
 - Doc subpackage needed/used.  - N/A
 - Packages %doc files don't affect runtime. - OK

 - Headers/static libs in -devel subpackage. - N/A
 - Spec has needed ldconfig in post and postun - N/A
 - .pc files in -devel subpackage/requires pkgconfig - N/A
 - .so files in -devel subpackage.  - N/A
 - -devel package Requires: %{name} = %{version}-%{release} - N/A
 - .la files are removed. - N/A

 - Package compiles and builds on at least one arch. - OK
 - Package has no duplicate files in %files. - OK
 - Package doesn't own any directories other packages own. - OK
 - Package owns all the directories it creates. - OK
 - No rpmlint output. - ***

W: slib summary-not-capitalized platform independent library for scheme

That can be easily fixed.

W: slib invalid-license SLIB

Can be ignored. It's 'special'.

 - final provides and requires are sane: - OK

SHOULD Items:

 - Should build in mock. - OK
 - Should build on all supported archs - OK
 - Should function as described. - OK. Note that 3a4 doesn't work with the guile
in RHEL-5; you need 3a3 for that.
 - Should have sane scriptlets. - OK
 - Should have subpackages require base package with fully versioned depend.- N/A
 - Should have dist tag - OK
 - Should package latest version - OK
 - check for outstanding bugs on package. (For core merge reviews) - OK

Summary, buildroot, etc. is all minor. Now, licensing....

Obviously the intent is for this to be fully modifiable and distributable -
after all, some of this code is 15 years old. I'll send mail to upstream and see
if we can get some minor clarifications.




Comment 2 Bill Nottingham 2007-06-21 22:16:03 EDT
From the author:
...
SLIB was vetted by FSF in 2001 in order to become a GNU package.
...

Considering that the FSF has explicitly vetted all this code (including
explicitly these files and licenses, I'm fine with it.

Please fix summary; aside from that, APPROVED.

Comment 3 Bill Nottingham 2007-06-21 22:17:25 EDT
Oops, leaving as '?' pending the fixes.
Comment 4 Miroslav Lichvar 2007-06-22 05:58:23 EDT
Fixed in slib-3a4-2.fc8. Thanks for the review.
Comment 5 Bill Nottingham 2007-06-22 11:28:32 EDT
No problem. APPROVED.

Alas, I had an ulterior motive. :)

Package Change Request
======================
Package Name: slib
New branches: EL-5
Branch Owner: notting@redhat.com (if you want to co-maintain, that's fine - this
should just be build-once-and-forget-it.)

Comment 6 Bill Nottingham 2007-06-22 11:32:00 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.